Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.reflect
Class ListProperty

    java.lang.Object
      org.apache.cayenne.reflect.BaseProperty
          org.apache.cayenne.reflect.BaseArcProperty
              org.apache.cayenne.reflect.BaseToManyProperty
                  org.apache.cayenne.reflect.ListProperty

All Implemented Interfaces:
  ArcProperty, Property, ToManyProperty

Direct Known Subclasses:
  IndexedListProperty

Deprecated. since 3.0 replaced by non-public classes.

    public class ListProperty

extends BaseToManyProperty

Provides access to a property implemented as a List Field.

Since:
  1.2
Author:
  Andrus Adamchik

Field Summary

Fields inherited from class org.apache.cayenne.reflect.BaseArcProperty
`complimentaryReverseArcName, relationship, targetDescriptor`

Fields inherited from class org.apache.cayenne.reflect.BaseProperty
`accessor, owner`

Constructor Summary
`ListProperty(ClassDescriptor owner, ClassDescriptor targetDescriptor, Accessor accessor, String reverseName)` Deprecated.

Method Summary
`protected ValueHolder` | `createCollectionValueHolder(Object object)` Deprecated. Creates a List for an object.
`void` | `invalidate(Object object)` Deprecated. Turns a property of an object into a fault.
`boolean` | `isFault(Object object)` Deprecated. Returns whether a target node connected to a given object is an unresolved fault.

Methods inherited from class org.apache.cayenne.reflect.BaseToManyProperty
`addTarget, ensureCollectionValueHolderSet, injectValueHolder, readProperty, removeTarget, visit, writePropertyDirectly`

Methods inherited from class org.apache.cayenne.reflect.BaseArcProperty
`getComplimentaryReverseArc, getRelationship, getTargetDescriptor, setReverse`

Methods inherited from class org.apache.cayenne.reflect.BaseProperty
`getName, readPropertyDirectly, toString, writeProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.cayenne.reflect.ArcProperty
`getComplimentaryReverseArc, getRelationship, getTargetDescriptor`

Methods inherited from interface org.apache.cayenne.reflect.Property
`getName, readPropertyDirectly, writeProperty`

Constructor Detail

### ListProperty

    public ListProperty(ClassDescriptor owner,
                        ClassDescriptor targetDescriptor,
                        Accessor accessor,
                        String reverseName)

  Deprecated.

Method Detail

### createCollectionValueHolder

    protected ValueHolder createCollectionValueHolder(Object object)
                                               throws PropertyException

  Deprecated.
  Creates a List for an object. Expects an object to be an instance of Persistent.

  Specified by:
    `createCollectionValueHolder` in class `BaseToManyProperty`
  Throws:
    `PropertyException`

### isFault

    public boolean isFault(Object object)

  Deprecated.
  Description copied from interface: `ArcProperty`
  Returns whether a target node connected to a given object is an unresolved fault.

  Specified by:
    `isFault` in interface `ArcProperty`
  Specified by:
    `isFault` in class `BaseArcProperty`
  Parameters:
    `object` - an object that is a source object of the relationship.

### invalidate

    public void invalidate(Object object)

  Deprecated.
  Description copied from interface: `ArcProperty`
  Turns a property of an object into a fault.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Cayenne. All Rights Reserved.